#pragma once
#include "Command.h"
#include "EditorWaypoint.h"

class AddLinkCommand : 
	public Command
{

public:
	AddLinkCommand(EditorLatticeNode* node);

	//Member Variables
	int id;
	EditorLatticeNode* node1;
	EditorLatticeNode* node2;

	void
		ConnectLink(EditorLatticeNode* node);
	void	
		Undo();
};

